<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="" rel="icon" type="image/x-icon" id="favicon" />

	<link href='https://fonts.googleapis.com/css?family=Press Start 2P' rel='stylesheet'>
	<title>SuperBox Jump</title>

	<style>
		#loader {
			width: 60px;
			height: 60px;
			position: fixed;
			bottom: 10px;
			right: 10px;
			border: 10px solid #ff0000;
			border-top: 10px solid #dddd00;
			border-bottom: 10px solid #dddd00;
			border-radius: 50%;
			z-index: 10;
			color: #000;
			animation: spin 2s linear infinite;
		}

		@keyframes spin {
			0% {
				transform: rotate(0deg);
			}

			100% {
				transform: rotate(360deg);
			}
		}
	</style>

</head>

<body>

	<style>
		@font-face {
			font-family: "Press Start 2P";
		}

		* {
			margin: 0;
			padding: 0;
			box-sizing: border-box;
			font-family: "Press Start 2P", "Courier New", Courier, monospace;
			color: black;
		}

		body {
			width: 100vw;
			min-height: 100vh;
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			background: black;
		}

		canvas {
			box-shadow: 0 0 10px yellow, 0 0 20px yellow, 0 0 50px yellow;
			border-radius: 4px;
		}
	</style>

	<div id="loader">.</div>
	<div id="GameContainer"></div>

	<script>
		window.onload = () => {
			const loader = document.getElementById("loader");
			loader.style.top = -1000;
			loader.style.left = -1000;
			loader.style.zIndex = -1000;
			loader.remove();
		};
	</script>
</body>

</html>
